LogoРТА Технологии
OpenAPIUsers

Create New User

PUT
/api/users/

Authorization

OAuth2PasswordBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

email*string
Formatemail
role_id*integer
available_seconds?integer
Default-1
Rangevalue <= 2147483600
first_name?string|nullDeprecated
middle_name?string|nullDeprecated
last_name?string|nullDeprecated
full_name*string
Lengthlength <= 256

Response Body

application/json

application/json

curl -X PUT "https://app.otascribe.ru/api/api/users/" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "role_id": 0,    "full_name": "string"  }'
{
  "login": "string",
  "telegram_id": 0,
  "available_seconds": 0,
  "user_role_id": 0,
  "user_role_name": "string",
  "user_access_level": 0,
  "profile_info": {
    "first_name": "string",
    "middle_name": "string",
    "last_name": "string",
    "full_name": "string"
  },
  "password": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}